package com.cool.store.enums.close;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 闭店账号类型枚举类
 * </p>
 *
 * @author wangff
 * @since 2025/10/8
 */
@Getter
@AllArgsConstructor
public enum CloseStoreAccountTypeEnum {

    IT_ACCOUNT(0, "IT账号"),
    TAKE_OUT_ACCOUNT(1, "外卖账号"),
    ;

    private final Integer type;

    private final String msg;

    public static String getMsgByType(Integer type) {
        for (CloseStoreAccountTypeEnum value : CloseStoreAccountTypeEnum.values()) {
            if (value.getType().equals(type)) {
                return value.getMsg();
            }
        }
        return null;
    }
}
